From e3c1394cb9321e9a1798defab342e8f2e55048fc Mon Sep 17 00:00:00 2001
From: Fabio Alessandro Locati <me@fale.io>
Date: Mar 12 2023 13:19:27 +0000
Subject: [PATCH 1/2] Add Sway pre-release


---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index 13807e8..b8badde 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -173,6 +173,7 @@ iso_size={
     'i686_Live_Cinnamon':   '2.0',       # In GB
     'x86_64_Live_Cinnamon': '2.1',       # In GB
     'x86_64_Live_Budgie':     '1.5',       # In GB
+    'x86_64_Live_Sway':     '1.3',       # In GB
     # Spins prerelease
     'pre_i686_Live_KDE':    '1.5',       # In GB
     'pre_x86_64_Live_KDE':  '1.9',       # In GB
diff --git a/spins.fedoraproject.org/data/content/prerelease.html b/spins.fedoraproject.org/data/content/prerelease.html
index ba91ee5..18a0f98 100644
--- a/spins.fedoraproject.org/data/content/prerelease.html
+++ b/spins.fedoraproject.org/data/content/prerelease.html
@@ -234,6 +234,28 @@
   	  	   </div>
   	  	  </div>
        </div>
+
+       <div class="high">
+    	  <div class="row top-margin bottom-space">
+    	   <div class="col-xs-12 pre-box">
+    	  	<div class="col-xs-12 col-sm-4 text-center no-leftpadding">
+    	  	  <img class="screenshot image-responsive" src="${path}/static/images/screenshots/screenshot-sway.jpg" alt="Sway Screenshot" />
+    	  	</div>
+    	  	<div class="col-xs-12 col-sm-8 text-left">
+    	  	  <p class="screenshot"><img src="${path}/static/images/sway-pre-banner.png" alt="Sway banner" /><br />
+    	  	  <span class="grey">${_('A tiling Wayland compositor and a drop-in replacement for the i3 window manager for X11.')}</span></p>
+    	  	  	<div class="col-xs-6 text-center">
+    	  	  		<a class="btn btn-success btn-pre" href="${global_variables.path['download']}/test/${global_variables.release['next_id']}_${global_variables.release['curr_state']}/Spins/x86_64/iso/Fedora-Sway-Live-x86_64-${global_variables.release['next_id']}_${global_variables.release['curr_state']}-${global_variables.release['RC_pre_gold']}.iso" role="button">64-bit image</a>
+    	  	  		<h5>${_('ISO image')}</h5>
+  	  	  		</div>
+  	  	  		<div class="col-xs-6 text-center">
+   	  	  		<!-- <a class="btn btn-success btn-pre" href="${global_variables.path['download_arch']}/test/${global_variables.release['next_id']}_${global_variables.release['curr_state']}/Spins/i386/iso/Fedora-Sway-Live-i386-${global_variables.release['next_id']}_${global_variables.release['curr_state']}-${global_variables.release['RC_pre_gold']}.iso" role="button">32-bit image</a> -->
+    	  	  		<!-- <h5>${Markup(_('%s MB ISO Image')) % global_variables.iso_size['pre_i686_Live_Sway']}</h5> -->
+  	  	  		</div>
+  	  	  	</div>
+  	  	   </div>
+  	  	  </div>
+       </div>
     </div>
   </header>
 
diff --git a/spins.fedoraproject.org/static/images/screenshots/screenshot-sway.jpg b/spins.fedoraproject.org/static/images/screenshots/screenshot-sway.jpg
new file mode 100644
index 0000000..4785dad
Binary files /dev/null and b/spins.fedoraproject.org/static/images/screenshots/screenshot-sway.jpg differ
diff --git a/spins.fedoraproject.org/static/images/sway-banner.png b/spins.fedoraproject.org/static/images/sway-banner.png
new file mode 100644
index 0000000..1f810ee
Binary files /dev/null and b/spins.fedoraproject.org/static/images/sway-banner.png differ
diff --git a/spins.fedoraproject.org/static/images/sway-pre-banner.png b/spins.fedoraproject.org/static/images/sway-pre-banner.png
new file mode 100644
index 0000000..530347b
Binary files /dev/null and b/spins.fedoraproject.org/static/images/sway-pre-banner.png differ

From 5f46230c364ee8518144a54653bc392cfc09fb91 Mon Sep 17 00:00:00 2001
From: Fabio Alessandro Locati <me@fale.io>
Date: Mar 12 2023 15:18:56 +0000
Subject: [PATCH 2/2] Fix image color


---

diff --git a/spins.fedoraproject.org/static/images/sway-banner.png b/spins.fedoraproject.org/static/images/sway-banner.png
index 1f810ee..756d88a 100644
Binary files a/spins.fedoraproject.org/static/images/sway-banner.png and b/spins.fedoraproject.org/static/images/sway-banner.png differ
diff --git a/spins.fedoraproject.org/static/images/sway-pre-banner.png b/spins.fedoraproject.org/static/images/sway-pre-banner.png
index 530347b..9068179 100644
Binary files a/spins.fedoraproject.org/static/images/sway-pre-banner.png and b/spins.fedoraproject.org/static/images/sway-pre-banner.png differ

